Listar ofertas
curl --request GET \
--url https://api.liquiditi.com.br/v1/asks \
--header 'x-api-key: <api-key>'import requests
url = "https://api.liquiditi.com.br/v1/asks"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.liquiditi.com.br/v1/asks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.liquiditi.com.br/v1/asks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.liquiditi.com.br/v1/asks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.liquiditi.com.br/v1/asks")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.liquiditi.com.br/v1/asks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"ask_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ask_price": "<string>",
"ask_prefixed_yield": "<string>",
"ask_percentage_yield": "<string>",
"available_quantity": 123,
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"expected_liquidation_date": "2023-12-25",
"name": "<string>",
"cetip_code": "<string>",
"maturity_date": "2023-12-25",
"grace_date": "2023-12-25",
"asset_indexer": "CDI",
"asset_type": "CDB",
"interest_redemption_type": "at_maturity",
"redemption_type": "at_maturity"
}
]Renda Fixa
Listar ofertas
Retorna as ofertas disponíveis no livro de ofertas. Só entram ofertas com quantidade negociável. Utilize os parâmetros de query para filtrar por indexador, tipo de ativo, código CETIP ou faixa de vencimento.
GET
/
asks
Listar ofertas
curl --request GET \
--url https://api.liquiditi.com.br/v1/asks \
--header 'x-api-key: <api-key>'import requests
url = "https://api.liquiditi.com.br/v1/asks"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.liquiditi.com.br/v1/asks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.liquiditi.com.br/v1/asks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.liquiditi.com.br/v1/asks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.liquiditi.com.br/v1/asks")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.liquiditi.com.br/v1/asks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"ask_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ask_price": "<string>",
"ask_prefixed_yield": "<string>",
"ask_percentage_yield": "<string>",
"available_quantity": 123,
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"expected_liquidation_date": "2023-12-25",
"name": "<string>",
"cetip_code": "<string>",
"maturity_date": "2023-12-25",
"grace_date": "2023-12-25",
"asset_indexer": "CDI",
"asset_type": "CDB",
"interest_redemption_type": "at_maturity",
"redemption_type": "at_maturity"
}
]Retorna uma lista de ofertas (Ask). Para o significado de cada campo e seu uso na plataforma, veja Renda Fixa — Informações disponíveis.
Query Parameters
Response
Lista de ofertas retornada com sucesso